//
//  USCollectionWindowController.h
//  CollectionViewExample
//
//  Created by Ulf Schwekendiek on 12/19/10.
//  Copyright 2010 sulf.me. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface USCollectionWindowController : NSWindowController {
	NSCollectionView *_collectionView;
	NSMutableArray *_collection;
	NSArrayController *_arrayController;
}

@property (nonatomic, retain) IBOutlet NSCollectionView *collectionView;
@property (nonatomic, retain) IBOutlet NSArrayController *arrayController;
- (id) init;
- (IBAction) addItem:(id)sender;
- (IBAction) removeItem:(id)sender;
@end
