//
//  USCollectionWindowController.m
//  CollectionViewExample
//
//  Created by Ulf Schwekendiek on 12/19/10.
//  Copyright 2010 sulf.me. All rights reserved.
//

#import "USCollectionWindowController.h"

@implementation USCollectionWindowController

@synthesize collectionView = _collectionView;
@synthesize arrayController = _arrayController;

- (id) init
{
	self = [super initWithWindowNibName:@"USCollectionWindow"];
	if (self != nil) {
		_collection = [[NSMutableArray alloc] initWithObjects:
					   [NSDictionary dictionaryWithObject:@"Hello" forKey:@"label"], 
					   [NSDictionary dictionaryWithObject:@"World" forKey:@"label"], 
					   nil];
	}
	return self;
}

- (void) dealloc
{
	[_collection release];
	[_collectionView release];
	[_arrayController release];
	[super dealloc];
}

- (IBAction) addItem:(id)sender
{
	[self.arrayController addObject:
	 [NSDictionary dictionaryWithObject:@"Hello" forKey:@"label"]];
}

- (IBAction) removeItem:(id)sender
{
	NSUInteger index = [[self.arrayController selectionIndexes] firstIndex];
	[self.arrayController removeObjectAtArrangedObjectIndex:index];
}

@end
